diff --git a/web/pgadmin/browser/server_groups/servers/databases/static/js/database.js b/web/pgadmin/browser/server_groups/servers/databases/static/js/database.js
index 8a130df8a..8cf43f4c7 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/static/js/database.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/static/js/database.js
@@ -485,8 +485,8 @@ define('pgadmin.node.database', [
       },
     };
 
-    var connect_to_database = function(obj, data, tree, item) {
-        connect(obj, data, tree, item);
+    var connect_to_database = function(obj, data, tree, item, _wasConnected) {
+        connect(obj, data, tree, item, _wasConnected);
       },
       connect = function (obj, data, tree, item, _wasConnected) {
         var wasConnected = _wasConnected || data.connected,
diff --git a/web/pgadmin/static/js/slickgrid/formatters.js b/web/pgadmin/static/js/slickgrid/formatters.js
index c726ff66d..aff92618d 100644
--- a/web/pgadmin/static/js/slickgrid/formatters.js
+++ b/web/pgadmin/static/js/slickgrid/formatters.js
@@ -52,9 +52,9 @@
     return null;
   }
 
-  function JsonFormatter(row, cell, value, columnDef, dataContext) {
+  function JsonFormatter(row, cell, value, columnDef) {
     // If column has default value, set placeholder
-    var data = NullAndDefaultFormatter(row, cell, value, columnDef, dataContext);
+    var data = NullAndDefaultFormatter(row, cell, value, columnDef);
     if (data) {
       return data;
     } else {
@@ -77,9 +77,9 @@
     }
   }
 
-  function NumbersFormatter(row, cell, value, columnDef, dataContext) {
+  function NumbersFormatter(row, cell, value, columnDef) {
     // If column has default value, set placeholder
-    var data = NullAndDefaultNumberFormatter(row, cell, value, columnDef, dataContext);
+    var data = NullAndDefaultNumberFormatter(row, cell, value, columnDef);
     if (data) {
       return data;
     } else {
@@ -87,13 +87,13 @@
     }
   }
 
-  function CheckmarkFormatter(row, cell, value, columnDef, dataContext) {
+  function CheckmarkFormatter(row, cell, value, columnDef) {
     /* Checkbox has 3 states
      * 1) checked=true
      * 2) unchecked=false
      * 3) indeterminate=null
      */
-    var data = NullAndDefaultFormatter(row, cell, value, columnDef, dataContext);
+    var data = NullAndDefaultFormatter(row, cell, value, columnDef);
     if (data) {
       return data;
     } else {
@@ -101,9 +101,9 @@
     }
   }
 
-  function TextFormatter(row, cell, value, columnDef, dataContext) {
+  function TextFormatter(row, cell, value, columnDef) {
     // If column has default value, set placeholder
-    var data = NullAndDefaultFormatter(row, cell, value, columnDef, dataContext);
+    var data = NullAndDefaultFormatter(row, cell, value, columnDef);
     if (data) {
       return data;
     } else {
@@ -111,9 +111,9 @@
     }
   }
 
-  function BinaryFormatter(row, cell, value, columnDef, dataContext) {
+  function BinaryFormatter(row, cell, value, columnDef) {
     // If column has default value, set placeholder
-    var data = NullAndDefaultFormatter(row, cell, value, columnDef, dataContext);
+    var data = NullAndDefaultFormatter(row, cell, value, columnDef);
     if (data) {
       return data;
     } else {
